from player import *
import random as r

class Shop:
  def __init__(self):
    self.on = 0
    self.l_cost = 10
    self.d_cost = 30
    self.u1_cost = 40
    self.u2_cost = 30
    self.u3_cost = 20
    self.u4_cost = 20
  def draw(self,p1):
    item = dmenu("shop", ["ladder: $"+str(self.l_cost),"dynamite: $"+str(self.d_cost),"upgrade","quit"],"$"+str(p1.money))
    if(item == 0):
      c = 1
      while c:
        try:
          num = int(input("how much? "))
          c = 0
        except:
          pass
      if(num*self.l_cost > p1.money):
        print("too much")
        t.sleep(1)
        return 0
      else:
        p1.money -= num*self.l_cost
        p1.ladder += num
        return 1
    elif(item == 1):
      c = 1
      while c:  
        try:
          num = int(input("how much? "))
          c = 0
        except:
          c = 1
      if(num*self.d_cost > p1.money):
        print("too much")
        t.sleep(1)        
        return 0
      else:        
        p1.money -= num*self.d_cost
        p1.dynamite += num
        return 1
    elif(item == 2):
      u_choice = dmenu("UPGRADES", ["battery: $"+str(self.u1_cost), "mine speed: $"+str(self.u2_cost), "less fall damage: $"+str(self.u3_cost), "more storage: $"+str(self.u4_cost),"quit"], "$"+str(p1.money))
      if(u_choice != 4):
        upgrades = [self.u1_cost,self.u2_cost,self.u3_cost,self.u4_cost]
        if(p1.money >= upgrades[u_choice]):
          p1.money -= upgrades[u_choice]
          upgrades[u_choice] *= 2
          self.u1_cost,self.u2_cost,self.u3_cost,self.u4_cost = upgrades
      
          if(u_choice == 0): p1.b_fac -= 0.1
          elif(u_choice == 1): p1.mine_s -= 0.1
          elif(u_choice == 2): p1.fall_dam += 1
          elif(u_choice == 3): p1.s_m += 25
    self.on = 0
    
class Map:
  def __init__(self,l):
    self.l_x = 21
    self.l_y = l
    self.sec_x = int(self.l_x / 21)
    self.sec_y = int(self.l_y / 10)
    self.cs_x = 0
    self.cs_y = 0
    self.marge = 4
    self.fmap = [[0 for x in range(self.l_x)] for j in range(l+self.marge)]
    self.map = self.fmap[self.cs_y*10:self.cs_y*10+10][self.cs_x*21:self.cs_x*21+21]
    self.t_list = [blank,rock,metal,ore,ran,diamond,ladder,gd,pd]
    self.idle = 0
    self.fall_x = []
    self.fall_y = []
    self.fall_t = []
    
  def generate(self):
    xd = r.randint(0,21) # l_x
    yd = r.randint(self.l_y-15,self.l_y-1)
    for y in range(0,len(self.fmap)):
      for x in range(0,len(self.fmap[y])):
        if(y==self.marge):
          self.fmap[y][x] = 1
          continue
        elif(y <= self.marge):
          continue
        self.fmap[y][x] = prob(57,30,10,3)+1
    self.fmap[yd][xd] = 5
    
  def draw(self):
    if(self.cs_y != 0):
      self.map = self.fmap[self.cs_y*10-1:self.cs_y*10+11][self.cs_x*20:self.cs_x*20+20]
    else:
      self.map = self.fmap[self.cs_y*10:self.cs_y*10+11][self.cs_x*20:self.cs_x*20+20]
    #if(self.cs_x != 0):
    #print(len(self.fmap[self.cs_y*10:self.cs_y*10+11][self.cs_x*20:self.cs_x*20+20]))
    for y in range(0,len(self.map)):
      for x in range(0,len(self.map[y])):
        dlimage(x*6,y*6, self.t_list[self.map[y][x]] ,"l")
