from gint import *
from gintpp import *
from images import *
import time as t
import random as r
from alpha import *

def f_blank(x,y,world):
  dlimage(x*6,y*6,blank,"O")
  world.map[y][x] = 0

def check_tile(x,y,world,p1):
  coord = world.map[y][x]
  if(coord == 4):
    win = prob(50,30,20)
    l_win = [p1.ladder,p1.t_money,p1.dynamite]
    l_win[win] += r.randint(5,20)
    p1.ladder,p1.t_money, p1.dynamite = l_win
  elif(coord == 3):
    p1.t_money += y-world.marge+1+world.cs_y*10
  elif(coord == 5):
    p1.diamond = 1

def check_key(k,world,p1,shop):
   if(k == KEY_RIGHT) and (p1.x != 20):
    if(world.map[p1.y][p1.x+1] in [0,6,7,8]) and (p1.x != len(world.map[0])):
      if (world.map[p1.y][p1.x] in [6,7,8]):
        dlimage(p1.x*6,p1.y*6, blank,"o")
        dlimage(p1.x*6,p1.y*6, world.t_list[world.map[p1.y][p1.x]] ,"T")
      else:
        f_blank(p1.x,p1.y,world)
      p1.x += 1
      p1.battery -= p1.b_fac/2
    elif(world.map[p1.y][p1.x+1] != 2):
      p1.img = right
      #f_blank(p1.x,p1.y,world)
      p1.draw()
      dupdate()
      t.sleep(p1.mine_s)
      p1.battery -= p1.b_fac
      check_tile(p1.x+1,p1.y,world,p1)
      f_blank(p1.x+1,p1.y,world)
  
   elif(k == KEY_LEFT) and (p1.x != 0):
    if(world.map[p1.y][p1.x-1] in [0,6,7,8]) and (p1.x != 0):
      if (world.map[p1.y][p1.x] in [6,7,8]):
        dlimage(p1.x*6,p1.y*6, blank,"o")
        dlimage(p1.x*6,p1.y*6, world.t_list[world.map[p1.y][p1.x]] ,"T")
      else:
        f_blank(p1.x,p1.y,world)
      p1.x -= 1
      p1.battery -= p1.b_fac/2
    elif(world.map[p1.y][p1.x-1] != 2):
      p1.img = left
      #f_blank(p1.x,p1.y,world,0)
      p1.draw()
      dupdate()
      t.sleep(p1.mine_s)
      p1.battery -= p1.b_fac
      check_tile(p1.x-1,p1.y,world,p1)
      f_blank(p1.x-1,p1.y,world)

   elif(k == KEY_UP):
    if(world.map[p1.y-1][p1.x] in [0,6,7,8]) and (p1.y != 0):
      if (world.map[p1.y][p1.x] in [6,7,8]):
        dlimage(p1.x*6,p1.y*6, blank,"o")
        dlimage(p1.x*6,p1.y*6, world.t_list[world.map[p1.y][p1.x]] ,"T")
      else:
        dlimage(p1.x*6,p1.y*6, world.t_list[world.map[p1.y][p1.x]] ,"T")
      if(world.map[p1.y][p1.x] == 6):
        dlimage(p1.x*6,p1.y*6, blank,"o")
        dlimage(p1.x*6,p1.y*6,ladder,"T")
        p1.y -= 1
      elif(p1.ladder >= 1):  
        if(world.map[p1.y][p1.x] != 7):
          world.map[p1.y][p1.x] = 6
          dlimage(p1.x*6,p1.y*6, blank,"o")
          dlimage(p1.x*6,p1.y*6,ladder,"T")
        p1.y -= 1
        p1.ladder -= 1
      p1.battery -= p1.b_fac/2
    elif(world.map[p1.y-1][p1.x] != 2) and (world.map[p1.y-1][p1.x] != 0):
      p1.img = up
      f_blank(p1.x,p1.y,world)
      p1.draw()
      dupdate()
      t.sleep(p1.mine_s)
      p1.battery -= p1.b_fac
      check_tile(p1.x,p1.y-1,world,p1)
      f_blank(p1.x,p1.y-1,world)
      
   elif(k == KEY_DOWN):
    if(world.map[p1.y+1][p1.x] in [0,6,7,8]) and (p1.y != len(world.map)+1):
      if(world.map[p1.y][p1.x] in [0,6,7,8]):
        #f_blank(p1.x,p1.y,world)
        dlimage(p1.x*6,p1.y*6, blank,"o")
        dlimage(p1.x*6,p1.y*6, world.t_list[world.map[p1.y][p1.x]] ,"T")
      else:
        f_blank(p1.x,p1.y,world)
      p1.y += 1
      p1.battery -= p1.b_fac/2
    elif(world.map[p1.y+1][p1.x] != 2):
      p1.img = down
      f_blank(p1.x,p1.y,world)
      p1.draw()
      dupdate()
      t.sleep(p1.mine_s)
      p1.battery -= p1.b_fac
      check_tile(p1.x,p1.y+1,world,p1)
      p1.y += 1
      if(world.map[p1.y-1][p1.x] != 6):
        f_blank(p1.x,p1.y-1,world)
      else:
        dlimage(p1.x*6,(p1.y-1)*6,ladder,"T") 
   if(a_key(k,p1,world,shop) == None):
    return 1
   else:
    return a_key(k,p1,world,shop)
    